Bug 190311 - bcm43xx does not load automatically
bcm43xx does not load automatically
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-30 20:41 EDT by Joshua Wulf
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2006-04-30 20:41:15 EDT
Description of problem:
On the fc5 stable kernel and the rawhide kernels for some time now (maybe even
since the release of FC 5), bcm43xx does not automatically load on my iBook G4.

I have to modprobe bcm43xx to get it to load.

Version-Release number of selected component (if applicable):
 2.6.15-1.2054_FC5
kernel-2.6.16-1.2096_FC5


How reproducible: 100%


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joshua Wulf 2006-04-30 20:43:02 EDT
Steps to Reproduce: 

Boot up an iBook G4 with FC5 on it. Do an lsmod.

Actual results:

No bcm43xx loaded

Expected results: bcm43xx loaded
Comment 2 Dave Jones 2006-10-16 20:51:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jarod Wilson 2006-10-16 20:56:43 EDT
I'm assuming that you've got the required firmware installed, and that
everything works when you've got that in place and manually load bcm43xx, yes?
And you also have a line 'alias eth1 bcm43xx' in /etc/modprobe.conf?

I seem to recall similar issues on my PowerBook G4, but its been a while, and
everything Just Works like it ought to with soon-to-be FC6. Definitely give the
new kernel in comment #2 a try if the kernel you've got now still exhibits this
problem. Everything's definitely fixed in FC6, and I think we back-ported that
for FC5 as well...
Comment 4 Dave Jones 2006-11-24 18:17:57 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.